Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
Update a project
curl --request PATCH \
  --url https://api.devic.ai/v1/projects/{projectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "archived": true,
  "imageUrl": "<string>"
}
'
{
  "_id": "<string>",
  "clientUID": "<string>",
  "name": "<string>",
  "identifier": "<string>",
  "description": "<string>",
  "imageUrl": "<string>",
  "createdByUserUID": "<string>",
  "creationTimestampMs": 123,
  "lastEditTimestampMs": 123,
  "archived": true
}

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Path Parameters

projectId
string
required

Project ID

Body

application/json
name
string

Project name

description
string

Project description

visibility
enum<string>

Project visibility

Available options:
public,
private
archived
boolean

Archive the project

imageUrl
string

Project image URL

Response

Project updated successfully

_id
string

Project ID

clientUID
string

Client UID

name
string

Project name

identifier
string

Unique identifier (lowercase alphanumeric with hyphens)

description
string

Project description

imageUrl
string

Project image URL

visibility
enum<string>

Project visibility

Available options:
public,
private
createdByUserUID
string

UID of the user that created the project

creationTimestampMs
integer<int64>

Creation timestamp (ms)

lastEditTimestampMs
integer<int64>

Last edit timestamp (ms)

archived
boolean

Whether the project is archived